"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const crossProduct = require("./crossProduct.js");
function max(a, b) {
  return a > b ? a : b;
}
function min(a, b) {
  return a < b ? a : b;
}
function areIntersected(qx1, qy1, qx2, qy2, lx1, ly1, lx2, ly2) {
  if (max(qx1, qx2) >= min(lx1, lx2) && max(lx1, lx2) >= min(qx1, qx2) && max(qy1, qy2) >= min(ly1, ly2) && max(ly1, ly2) >= min(qy1, qy2)) {
    return crossProduct.crossProduct(qx1, qy1, qx2, qy2, lx1, ly1) * crossProduct.crossProduct(qx1, qy1, qx2, qy2, lx2, ly2) <= 0 && crossProduct.crossProduct(lx1, ly1, lx2, ly2, qx1, qy1) * crossProduct.crossProduct(lx1, ly1, lx2, ly2, qx2, qy2) <= 0;
  }
  return false;
}
exports.areIntersected = areIntersected;
